package com.foreverwin.mesnac.meapi.mapper;

import com.foreverwin.mesnac.meapi.model.CustomFields;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author LZP
 * @since 2021-06-01
 */
@Repository
public interface CustomFieldsMapper extends BaseMapper<CustomFields> {

    String selectCustomFieldsValue(@Param("handle") String handle,
                                   @Param("attribute") String attribute);

    List<CustomFields> selectCustomFieldsByHandle(@Param("handle") String handle);

    List<CustomFields> selectCustomFields(@Param("handle") String handle,
                                          @Param("attribute") String attribute);

    List<Map<String,Object>> selectEquipType(@Param("site") String site,
                                             @Param("equipType") String equipType);
    Map<String,Object> getCustom(@Param("handle") String handle, @Param("attr") String attr);
    List<Map<String,Object>> getCustoms(@Param("handles") List<String> handles, @Param("attr") String attr);

    Map<String, Object> selectItemGroupPrintTemplate(@Param("sfcBo") String sfcBo);
    Map<String, Object> selectItemGroupPrintTemplateByItemBo(@Param("itemBo") String itemBo);

    void setCustom(@Param("handle") String handle, @Param("attribute") String attribute, @Param("value") String value);

    void clearCustom(@Param("handle") String handle, @Param("attr") String attr);

    String selectWidthValue(@Param("site") String site, @Param("itemBo") String itemBo);

    String selectAttributeByItemBo(@Param("itemBo") String shopOrder);
}